petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMPlexComputeInterpolatorGeneral

Form the local portion of the interpolation matrix I from the coarse DM to a non-nested fine DM.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeInterpolatorGeneral(DM dmc, DM dmf, Mat In, void *user)

### Input Parameters

| dmf | - The fine mesh
| dmc | - The coarse mesh
| user | - The user context

### Output Parameter

In -The interpolation matrix

### See Also

DMPlexComputeInterpolatorNested(), DMPlexComputeJacobianFEM()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages